/* https://www.dafont.com/fr/made-cannes.font */
@font-face {
    font-family: academyengraved;
    src: url(./fonts/AcademyEngravedRegular.ttf) format('truetype');
}
/* https://fontsgeek.com/academy-engraved-font */
@font-face {
    font-family: americantypewriter;
    src: url(./fonts/AmericanTypewriterRegular.ttf) format('truetype');
}
/* https://fontsgeek.com/fonts/American-Typewriter-Regular */
@font-face {
    font-family: madecannes;
    src: url(./fonts/MADECannes.otf) format('opentype');
}


/* Background */
body {
    background-color: #8a2034;
    max-height: 100%;
    background-image: url(./images/rsvp/flower_NO.png), url(./images/rsvp/flower_SO.png), url(./images/rsvp/flower_NE.png), url(./images/rsvp/flower_NE.png), url(./images/rsvp/flower_NO.png);
    background-repeat: no-repeat, no-repeat, no-repeat, no-repeat, no-repeat;
    background-attachment: fixed, fixed, fixed, fixed, fixed;
    background-size: 900px;
    background-position: -15% -100%, 110% -90%, -25% 10%, -15% 130%, 130% 80%;
}


/* Base */
img {
    width: 100%;
    height: 100%;
    display: block;
}


/* Loginout menu */
a#link_adminmode {
    text-decoration: none;
    color: #fffffe;
}
div#loginout {
    background-color: #fffffe;
    margin: 20px auto 0 auto;
    max-width: 800px;
    border-radius: 90px;
    box-shadow: 0 0 40px 12px #fffffe, 0 0 15px 10px #fffffe, 0 0 5px 5px #fffffe inset;
}
div#usernamediv {
    text-align: center;
}
div#passworddiv {
    text-align: center;
}
div#usernametxt {
    font-family: academyengraved;
    color: #c12466;
    font-size: 210%;
    text-align: center;
    vertical-align: middle;
    box-sizing: border-box;
    padding-top: 20px;
}
div#passwordtxt {
    font-family: academyengraved;
    color: #c12466;
    font-size: 210%;
    text-align: center;
    vertical-align: middle;
    box-sizing: border-box;
    padding-top: 30px;
}
input#username {
    font-family: madecannes;
    color: #c12466;
    font-size: 600%;
    text-align: center;
    vertical-align: middle;
    box-sizing: border-box;
    line-height: 0.9;
    width: 750px;
    border-radius: 35px;
    border: 2px solid #c12466;
}
input#password {
    font-family: madecannes;
    color: #c12466;
    font-size: 150%;
    text-align: center;
    vertical-align: middle;
    box-sizing: border-box;
    line-height: 0.9;
    width: 750px;
    border-radius: 35px;
    border: 2px solid #c12466;
}
div#login_buttondiv {
    padding-top: 45px;
    padding-bottom: 30px;
}
input#login_button {
    text-decoration: none;
    font-family: americantypewriter;
    color: #c12466;
    font-size: 300%;
    text-align: center;
    vertical-align: middle;
    display: block;
    margin: 0 auto;
    border: 2px solid #c12466;
    background-color: #fffffe;
    transition-duration: 0.3s;
    border-radius: 10px;
}
input#login_button:hover {
    background-color: #c12466;
    color: #fffffe;
}
div#errordiv {
    text-decoration: none;
    font-family: americantypewriter;
    color: #fffffe;
    font-size: 115%;
    text-align: center;
    display: block;
    background-color: #c12466;
    margin: 0 80px 0 80px;
    border-radius: 10px;
}
a#changemail {
    text-decoration: none;
    color: #fffffe;
}
table#profil {
    width: 100%;
    table-layout: fixed;
}
a#a_login {
    text-decoration: none;
    font-family: americantypewriter;
    color: #c12466;
    font-size: 300%;
    text-align: center;
    vertical-align: middle;
    display: block;
    margin: 0 auto;
    border: 2px solid #c12466;
    background-color: #fffffe;
    transition-duration: 0.3s;
    border-radius: 30px;
    width: 100%;
}
a#a_login:hover {
    color: #fffffe;
    background-color: #c12466;
}
img#profil_avatar {
    height:150px;
    width: auto;
    margin: 0 auto;
}
p#profil_username {
    font-family: madecannes;
    color: #c12466;
    font-size: 285%;
    text-align: center;
    white-space: nowrap;
    margin: 0 auto;
    line-height: 38px;
}
td.menu {
    font-family: americantypewriter;
    color: #c12466;
    font-size: 120%;
    text-align: center;
    vertical-align: middle;
    max-width: 135px;
    width: 135px;
    padding: 2%;
}
td.menu a {
    text-decoration: none;
    color: #c12466;
    transition-duration: 0.3s;
}
td.menu a:hover {
    color: #fffffe;
    background-color: #c12466;
}
td#profil_logout {
    vertical-align: bottom;
    text-align: center;
}
input#logout {
    background: transparent;
    margin: 0 2%;
    cursor: pointer;
    text-decoration: none;
    font-family: americantypewriter;
    color: #c12466;
    font-size: 120%;
    border: 2px solid #c12466;
    background-color: #fffffe;
    transition-duration: 0.3s;
    border-radius: 10px;
}
input#logout:hover {
    background-color: #c12466;
    color: #fffffe;
}


/* RSVP */
img#separator_inner {
    margin: 30px 0 30px 0;
}

div#rsvpfront {
    margin: 100px auto auto auto;
    width: 560px;
    padding-top: 20px;
    background: #fffffe;
    border-radius: 90px;
    box-shadow: 0 0 40px 12px #fffffe, 0 0 15px 10px #fffffe, 0 0 5px 5px #fffffe inset;
}
div#rsvpfront_header {
    font-family: academyengraved;
    color: #c12466;
    font-size: 210%;
    text-align: center;
    vertical-align: middle;
    padding: 3% 20% 0 20%;
    box-sizing: border-box;
    line-height: 0.7;
}
div#rsvpfront_names {
    font-family: madecannes;
    color: #c12466;
    font-size: 780%;
    text-align: center;
    vertical-align: middle;
    padding: 9% 10% 0 10%;
    box-sizing: border-box;
    line-height: 0.9;
}
div#rsvpfront_date {
    font-family: academyengraved;
    color: #c12466;
    font-size: 365%;
    text-align: center;
    vertical-align: middle;
    padding: 8% 30% 4% 30%;
    box-sizing: border-box;
    line-height: 1.2;
}
img.fishpercolator1 {
    margin: auto;
    height:185px;
    width: auto;
    position: relative;
    bottom: 25px;
    z-index: 1;
}

div#rsvp {
    border: 140px solid transparent; 
    border-image: url(./images/rsvp/border_inner.png) 650 round;
    background-image: url(./images/rsvp/background_inner.jpg);
    background-size: 500px;
    width: 600px;
    margin: 50px auto 0 auto;
    text-align: center;
}
input#rsvp_submit {
    text-decoration: none;
    font-family: americantypewriter;
    color: #c12466;
    font-size: 150%;
    text-align: center;
    vertical-align: middle;
    display: block;
    margin: 0 auto;
    border: 2px solid #c12466;
    background-color: #fffffe;
    transition-duration: 0.3s;
    border-radius: 10px;
}
input#rsvp_submit:hover {
    background-color: #c12466;
    color: #fffffe;
}

div#rsvpback {
    margin: 100px auto auto auto;
    width: 560px;
    background: #fffffe;
    border-radius: 1px;
    box-shadow: 0 0 4px 12px #fffffe, 0 0 15px 10px #fffffe, 0 0 5px 5px #fffffe inset;
    padding: 50px 30px 200px 30px;
}
div#rsvpback_title {
    font-family: academyengraved;
    color: #c12466;
    font-size: 310%;
    text-align: center;
}
hr#rsvpback_sep1 {
    color: #c12466;
    width: 50%;
    border-top: 0px solid #c12466;
}
div#rsvpback_blurb {

}
img.blurbpic {
    width: 50%;
    float:left;
    margin: 10px 10px 10px 0;
}
div#rsvpback_blurbtext {
    font-family: americantypewriter;
    color: #c12466;
    font-size: 90%;
    text-align: justify;
    margin-top: 20px;
    font-weight: bold;
}
hr#rsvpback_sep2 {
    color: #c12466;
    width: 20%;
    border-top: 0px solid #c12466;
    margin-left: 63%;
    margin-bottom: 55px;
}
img.fishpercolator2 {
    margin: auto;
    height: 185px;
    width: auto;
    position: relative;
    bottom: 153px;
    z-index: 1;
    margin-bottom: 150px;
}


/* Who's who */
text {
    font-family: americantypewriter;
    font-size: 16px;
    color: #421f4c;
}


/* Admin mode */
div#tablesorterdiv {
    margin: 100px auto auto auto;
    width: 1200px;
    padding-top: 20px;
    padding-bottom: 20px;
    background: #fffffe;
    border-radius: 12px;
    box-shadow: 0 0 40px 12px #fffffe, 0 0 15px 10px #fffffe, 0 0 5px 5px #fffffe inset;
}
table#tablesorter {
    font-family: americantypewriter;
    color: #c12466;
    font-size: 115%;
    width: 1200px;
}
thead#tablesorterthead {
    color: #fffffe;
    font-size: 115%;
    text-align: center;
    background-color: #c12466;
}


/* Inputs */
input[type=radio] {
    accent-color: #c12466;
}
input[type=checkbox] {
    accent-color: #c12466;
}
input[type=text] {
    accent-color: #c12466;
    width: 100%;
}


/* Classes */
.choice {
    text-align: left
}
.normal {
    font-family: academyengraved;
    color: #c12466;
    font-size: 210%;
    line-height: 1.2;
}
.small {
    font-family: academyengraved;
    color: #c12466;
    font-size: 150%;
}
.smaller {
    font-family: academyengraved;
    color: #c12466;
    font-size: 120%;
}
.rsvpback_quotes {
    font-family: americantypewriter;
    color: #c12466;
    font-size: 90%;
    text-align: center;
    display: block;
    margin: 20px auto 0 auto;
}
